#!/usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Created on Sat Apr 24 17:04:11 2021

@author: dgevans
"""

import os
import pandas as pd
import sys


foldername = sys.argv[1]

fullpath = os.path.join('./data/','rawdata',foldername)
filenames=[f for f in os.listdir(fullpath) if f.endswith('.csv')]

irfs = [pd.read_csv(os.path.join(fullpath,filename)) for filename in filenames]

df_irf = irfs[0]
for irf in irfs[1:]:
    df_irf = df_irf.merge(irf,on='date')
    

df_irf.to_csv('data/'+foldername+'.csv')